#include <stdio.h>
#include <locale.h>

char font[]=
{
#include "font_cjk.h"
};

void show(int c)
{
    printf("U+%04x %C\n", c, c);
    for (int y=0; y<16; y++)
    {
        for (int x=0; x<8; x++)
            printf("%s", font[c*32+y   ]&(128>>x) ? "█":"░");
        printf("\e[97;100m");
        for (int x=0; x<8; x++)
            printf("%s", font[c*32+y+16]&(128>>x) ? "█":"░");
        printf("\e[0m");
        printf("\n");
    }
}

int main()
{
    setlocale(LC_CTYPE, "");
    for (int c=0;c<65536;c++)
        show(c);
    return 0;
}
